Package: xul-ext-greasemonkey
Version: 2.2-1
Severity: important
Tags: patch

Hi,

The first time the browser is started after installing
xul-ext-greasemonkey it loads
http://www.greasespot.net/p/welcome.html?utm_source=xpi&utm_medium=xpi&utm_campaign=welcome&utm_content=2.2

This is a privacy breach.

The following patch removes the code that phones home (applies to 
2.3-1 too).

---------------------------------------------------------------
diff --git a/content/config.js b/content/config.js
index abce40c..f4f8626 100644
--- a/content/config.js
+++ b/content/config.js
@@ -276,20 +276,6 @@ Config.prototype._updateVersion = function() {
 
     // Update the stored current version so we don't do this work again.
     GM_prefRoot.setValue("version", newVersion);
-
-    if ("0.0" == oldVersion) {
-      // This is the first launch.  Show the welcome screen.
-      var chromeWin = GM_util.getBrowserWindow();
-      // If we found it, use it to open a welcome tab.
-      if (chromeWin && chromeWin.gBrowser) {
-        var url = 'http://www.greasespot.net/p/welcome.html'
-            + '?utm_source=xpi&utm_medium=xpi&utm_campaign=welcome'
-            + '&utm_content=' + newVersion;
-        // the setTimeout makes sure we do not execute too early -- sometimes
-        // the window isn't quite ready to add a tab yet
-        chromeWin.setTimeout(chromeWin.GM_BrowserUI.openTab, 100, url);
-      }
-    }
   }));
 };
 
---------------------------------------------------------------

Thanks for considering,
    dam


-- System Information:
Debian Release: jessie/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'stable'), (1, 
'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xul-ext-greasemonkey depends on:
ii  iceweasel  32.0-1

xul-ext-greasemonkey recommends no packages.

xul-ext-greasemonkey suggests no packages.

-- debconf-show failed

_______________________________________________
Pkg-mozext-maintainers mailing list
Pkg-mozext-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mozext-maintainers

Reply via email to